petsc-3.4.2 2013-07-02

# PetscFOpen

Has the first process in the communicator open a file; all others do nothing.

### Synopsis

    PetscErrorCode  PetscFOpen(MPI_Comm comm,const char name[],const char mode[],FILE **fp)

Logically Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| name | - the filename
| mode | - the mode for fopen(), usually "w"

### Output Parameter

fp -the file pointer

### Notes

NULL (0), "stderr" or "stdout" may be passed in as the filename

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscFClose(), PetscSynchronizedFGets(), PetscSynchronizedPrintf(), PetscSynchronizedFlush(),
PetscFPrintf()

Level:developer
Location:src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html